<?php
define('NTLCMS', 1);
$module = 'banlist';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
################################################################################
echo '<div class="title"><b>'.razd.' Список забаненных</b></div>';
################################################################################
		
$k_post = DB :: run() -> querySingle("select count(`id`) from `ban`"); 
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
	
$sql = DB :: run() -> query("select * from `ban` order by `id` limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Забаненных нет!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> who).' '.login($row -> who, 1).' ['.date('d.m.Y H:i', $row -> time).']<br/>
* Забанен до: '.date('d.m.Y H:i', $row -> date).'<br/>* До разбана: '.downcnt($row -> date).'<br/>
* Причина бана: '.checkout($row -> reason).'<br/>* Применил бан: '.login($row -> admin, 1).'</i></div>';
}

if ($k_page > 1) navigation(URL.'/banlist?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';

include ('../system/foot.php');
?>